ISCSID(8)

NAME
iscsid - iSCSI (Internet SCSI) daemon

SYNOPSIS
iscsid [-dv] [-n device] [-s socket]

DESCRIPTION
iscsid is an Internet SCSI (iSCSI) initiator implementation.

iscsid is usually started at boot time.

A running iscsid can be controlled with the iscsictl(8) utility.

The options are as follows:

-d  Do not daemonize. If this option is specified, iscsid will run in the foreground and log to stderr.

-n device
    Use an alternate /dev entry for communicating with the kernel.

-s socket
    Use an alternate location for the default control socket.

-v  Produce more verbose output.

FILES
/dev/vscsi0
    Default device used to exchange SCSI messages with the kernel midlayer.
/var/run/iscsid.sock
    UNIX-domain socket used for communication with iscsictl(8).

SEE ALSO
vscsi(4), iscsictl(8) RFC 3720, Internet Small Computer Systems Interface (iSCSI), April 2004. RFC 3721, Internet Small Computer Systems Interface (iSCSI) Naming and Discovery, April 2004.

HISTORY
The iscsid program first appeared in OpenBSD 4.9.

AUTHORS
Claudio Jeker <claudio@openbsd.org>.